<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
if ($aut) {
if ($ya['level'] == 7) {
switch($mode) {
////Стили сайта
case 'new':
$diz -> head('Стили сайта');
$diz -> title('Новый стиль');
if (empty($_POST['name']) || empty($_POST['url'])) {
$msg .= '<div class="fon"><form action="styles.php?mode=new" method="post"><div>
Название:<br/><input type="text" name="name" value="" maxlength="24"/></br>';
$msg .= 'Папка:<br/><input type="text" name="url" value="" maxlength="24"/></br>
<br/><input type="submit" value="Добавить"/></form></div>';
} else {
$name= shit($_POST['name']); 
$url = shit($_POST['url']); 
$sql = $db -> query("SELECT * FROM `styles` WHERE `url` = '".$url."'");
if ($sql -> num_rows == 0) {
if (is_dir(ROOT.'styles/'.$url)){
$db -> query("Insert `styles` SET `name` = '".$name."',`url` = '".$url."',`time` = '".time()."'");
$msg .= 'Стиль '.$_POST['name'].' успешно добавлен в галлерею!';
}else{$msg.='<div class="fon">Извините но папка с данным именем не найдена!</div>';}
}else{$msg.='<div class="fon">Такой стиль уже есть в галлереи!</div>';}
}
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="styles.php">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;  

case 'style':
$sql = $db -> query("SELECT * FROM `styles` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
$menu = $sql -> fetch_assoc();
$diz -> head('Стили сайта');
$diz -> title('Изменяем стиль');
if (empty($_POST['name']) || empty($_POST['url'])) {
$msg .= '<div class="fon"><form action="styles.php?mode=style&amp;id='.$id.'" method="post"><div>
Название:<br/><input type="text" name="name" value="'.$menu['name'].'" maxlength="24"/></br>';
$msg .= 'Папка:<br/><input type="text" name="url" value="'.$menu['url'].'" maxlength="24"/></br>
<br/><input type="submit" value="Изменить"/></form></div>';
} else {
$name = shit($_POST['name']); 
$url = shit($_POST['url']); 
$db -> query("UPDATE `styles` SET `name` = '".$name."',`url` = '".$url."' WHERE `id` = '".$id."'");
$msg .= '<div class="fon">Изменения приняты!</div>';
}
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="styles.php">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else header('Location: ./styles.php');
break;

case 'del':
$sql = $db -> query("SELECT * FROM `styles` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
switch($do) {
case 'yes':
$db -> query("DELETE FROM `styles` where `id` = '".$id."'");
$diz -> head('Стили сайта');
$diz -> title('Удаление стиля');
$msg .= '<div class="fon">Стиль был успешно удалён!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="styles.php">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
default:
$diz -> head('Стили сайта');
$diz -> title('Удаление стиля');
$msg .= '<div class="fon">Вы уверены,что хотите удалить данный стиль?';
$msg .= '<br/><a href="./styles.php?mode=del&amp;do=yes&amp;id='.$id.'">Да</a> | ';
$msg .= '<a href="./styles.php">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);}
} else header('Location: ./styles.php');
break;

case 'sost':
$sql = $db -> query("SELECT * FROM `styles` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
$s=$sql->fetch_assoc();
$db -> query("UPDATE `nastroiki` SET `ststyle` = '".$s['url']."'");
header('Location: ./styles.php');
} else header('Location: ./styles.php');
break;
default:
$diz -> head('Стили сайта');
$diz -> title('Стили сайта');
$sql = $db -> query("SELECT * FROM `styles`");
if ($sql -> num_rows > 0) {
$sql = $db -> query("SELECT * FROM `styles` ORDER BY `time`");
while ($s = $sql -> fetch_assoc()) {
if($nastr['ststyle']==$s['url']){$sost='Стандартный';}else{$sost='<a href="./styles.php?mode=sost&amp;id='.$s['id'].'">Установить как стандартный</a>';}
$people = $db -> dbcount('count(`id`)','users',"`style`='$s[url]'");
$msg .='<div class="spisok"><b>Название</b>: '.$s['name'].'</br>
        <b>Папка</b>: '.$s['url'].'</br>
        <b>Состоние</b>: '.$sost.'</br>
        <b>Испльзуют</b>: '.$people.' чел.</br>
        <b>Добавлен</b>: '.$func -> vremja($s['time']).'</div>';
$msg .='<div class="fon"><a href="./styles.php?mode=style&amp;id='.$s['id'].'">Редактировать</a>';
$msg .=' | <a href="./styles.php?mode=del&amp;id='.$s['id'].'">Удалить</a></br></div>';
}}else{$msg.='Стилей в галлереи пока нет!<hr>';}
$msg .= '<div class="tochechki"><a href="./styles.php?mode=new">Добавить стиль</a></div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
}else header('location: index.php');
} else header('location: index.php');
?>